/*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

import api from "api/index"

App({
	onLaunch(e) {
        let { scene } = e
        // 检查入口场景值
        if(scene === 1011 || scene === 1047 || scene === 1124 || scene === 1089 || scene === 1038){
            this.globalData.isOfficial = true
        }

		// 检查用户登录状态
		const token = wx.getStorageSync("token")
		if(token){
			this.globalData.isUser = true
		}

		// 检查系统更新
		const updateManager = wx.getUpdateManager()
		updateManager.onUpdateReady(function () {
			wx.showModal({
				title	: '更新提示',
				content	: '新版本已经准备好，是否重启应用？',
				cancelColor: '#666',
				confirmColor: '#e50d01',
				success	: res=> {
					if (res.confirm) {
						updateManager.applyUpdate()
					}
				}
			})
		})
		updateManager.onUpdateFailed(function(){
			wx.showModal({
				title	: '更新提示',
				content	: '版本更新下载失败，请检查您的网络稍后重试',
				showCancel: false,
				confirmColor: '#e50d01'
			})
		})
		
		// 获取系统信息
		wx.getSystemInfo({
			success: res=>{
				this.globalData.systInfo = {
					statusBarHeight: res.statusBarHeight,
					safeArea	   : res.safeArea
				}
			}
        })

		// 挂载api
        wx.$api = api
    },
	globalData: {
        systInfo    : '',
		isUser      : false,
        token       : "",
        isOfficial  : false,
        invite      : "",
        safeArea    : '',
        statusBarHeight: wx.getSystemInfoSync().statusBarHeight,
        jiaonangheight: wx.getMenuButtonBoundingClientRect().height
	}
})